- Main Page
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# FbxIntrusiveList< T, NodeIndex >::IntrusiveListConstIterator Class Reference

Search for all occurrences

## Detailed Description

### template<typename T, int NodeIndex = 0>
class FbxIntrusiveList< T, NodeIndex >::IntrusiveListConstIterator

Definition at line 188 of file fbxintrusivelist.h.

`#include <fbxintrusivelist.h>`

List of all members.

## Public Member Functions
| IntrusiveListConstIterator (const NodeT *ptr=0)
IntrusiveListConstIterator & | operator++ ()
const IntrusiveListConstIterator | operator++ (int)
IntrusiveListConstIterator & | operator-- ()
const IntrusiveListConstIterator | operator-- (int)
IntrusiveListConstIterator & | operator= (const IntrusiveListConstIterator &other)
const_reference | operator* () const
const_pointer | operator-> () const
bool | operator== (const IntrusiveListConstIterator &other) const
bool | operator!= (const IntrusiveListConstIterator &other) const
const NodeT * | Get () const

## Constructor & Destructor Documentation

IntrusiveListConstIterator | ( | const NodeT * | ptr = `0` | ) | `[inline, explicit]`

Definition at line 191 of file fbxintrusivelist.h.

    :mPtr(ptr){}

## Member Function Documentation

IntrusiveListConstIterator& operator++ | ( |  | ) | `[inline]`

Definition at line 194 of file fbxintrusivelist.h.

            {
                mPtr = mPtr->mNext;return (*this);
            }

const IntrusiveListConstIterator operator++ | ( | int |  | ) | `[inline]`

Definition at line 199 of file fbxintrusivelist.h.

            {
                IntrusiveListConstIterator temp = *this;
                ++*this;
                return (temp);
            }

IntrusiveListConstIterator& operator-- | ( |  | ) | `[inline]`

Definition at line 206 of file fbxintrusivelist.h.

            {
                mPtr = mPtr->mPrev;return *this;
            }

const IntrusiveListConstIterator operator-- | ( | int |  | ) | `[inline]`

Definition at line 211 of file fbxintrusivelist.h.

            {
                IntrusiveListConstIterator temp = *this;
                --*this;
                return (temp);
            }

IntrusiveListConstIterator& operator= | ( | const IntrusiveListConstIterator & | other | ) | `[inline]`

Definition at line 217 of file fbxintrusivelist.h.

    {mPtr = other.mPtr; return *this;}

const_reference operator* | ( |  | ) | const `[inline]`

Definition at line 219 of file fbxintrusivelist.h.

    { return *(mPtr->mData); }

const_pointer operator-> | ( |  | ) | const `[inline]`

Definition at line 220 of file fbxintrusivelist.h.

    { return (&**this); }

bool operator== | ( | const IntrusiveListConstIterator & | other | ) | const `[inline]`

Definition at line 221 of file fbxintrusivelist.h.

    { return mPtr==other.mPtr; }

bool operator!= | ( | const IntrusiveListConstIterator & | other | ) | const `[inline]`

Definition at line 222 of file fbxintrusivelist.h.

    { return !(*this == other); }

const NodeT* Get | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 224 of file fbxintrusivelist.h.

    { return mPtr; }

The documentation for this class was generated from the following file:

- fbxsdk/core/base/fbxintrusivelist.h

FbxIntrusiveList< T, NodeIndex >::IntrusiveListConstIterator FbxIntrusiveList< T, NodeIndex >::IntrusiveListConstIterator FbxIntrusiveList< T, NodeIndex >::IntrusiveListConstIterator FbxIntrusiveList< T, NodeIndex >::IntrusiveListConstIterator FbxIntrusiveList< T, NodeIndex >::IntrusiveListConstIterator FbxIntrusiveList< T, NodeIndex >::IntrusiveListConstIterator FbxIntrusiveList< T, NodeIndex >::IntrusiveListConstIterator FbxIntrusiveList< T, NodeIndex >::IntrusiveListConstIterator FbxIntrusiveList< T, NodeIndex >::IntrusiveListConstIterator FbxIntrusiveList< T, NodeIndex >::IntrusiveListConstIterator
FbxIntrusiveList< T, NodeIndex >::IntrusiveListConstIterator FbxIntrusiveList< T, NodeIndex >::IntrusiveListConstIterator FbxIntrusiveList< T, NodeIndex >::IntrusiveListConstIterator FbxIntrusiveList< T, NodeIndex >::IntrusiveListConstIterator FbxIntrusiveList< T, NodeIndex >::IntrusiveListConstIterator FbxIntrusiveList< T, NodeIndex >::IntrusiveListConstIterator FbxIntrusiveList< T, NodeIndex >::IntrusiveListConstIterator FbxIntrusiveList< T, NodeIndex >::IntrusiveListConstIterator FbxIntrusiveList< T, NodeIndex >::IntrusiveListConstIterator FbxIntrusiveList< T, NodeIndex >::IntrusiveListConstIterator